ItemEvents.tooltip((event) => {

//Potions:

//Astral:
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "galosphere:astral")
        text.add(1,'§9(Sleep)Walk Through Walls!')
    }
  })
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "galosphere:long_astral")
        text.add(1,'§9(Sleep)Walk Through Walls')
    }
  })

//Restfulness:
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "upgrade_aquatic:restfulness")
        text.add(2,'§9Scares Away Phantoms')
    }
  })
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "upgrade_aquatic:restfulness_strong")
        text.add(2,'§9Scares Away Phantoms (Even More)')
    }
  })

//Golden Aura:
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "rediscovered:golden_aura")
        text.add(1,'§9Prevents Piglins From Zombifying')
    }
  })
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "rediscovered:long_golden_aura")
        text.add(1,'§9Prevents Piglins From Zombifying')
    }
  })
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "rediscovered:strong_golden_aura")
        text.add(1,'§9Prevents Piglins From Zombifying')
    }
  })

//Insomnia:
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "upgrade_aquatic:insomnia")
        text.add(1,'§9Beware Of Phantoms!')
    }
  })
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "upgrade_aquatic:insomnia_strong")
        text.add(1,'§9Beware Of Phantoms!')
    }
  })

//Clinging:
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "alexsmobs:clinging")
        text.add(1,'§9Cling To Ceiling (With Your Head)!')
    }
  })
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "alexsmobs:long_clinging")
        text.add(1,'§9Cling To Ceiling (With Your Head)!')
    }
  })

//Immunity:
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "goodending:immunity")
        text.add(1,'§9Withstand 3 Negative Effects')
    }
  })
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "goodending:long_immunity")
        text.add(1,'§9Withstand 3 Negative Effects')
    }
  })

//Soulsteal:
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "alexsmobs:soulsteal")
        text.add(1,'§9Gain Health Equal To Damage Dealt')
    }
  })
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "alexsmobs:long_soulsteal")
        text.add(1,'§9Gain Health Equal To Damage Dealt')
    }
  })
  event.addAdvanced('minecraft:potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "alexsmobs:strong_soulsteal")
        text.add(1,'§9Gain Health Equal To Damage Dealt')
    }
  })

//Splash Potions:

//Restfulness:
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "upgrade_aquatic:restfulness")
        text.add(2,'§9Scares Away Phantoms')
    }
  })
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "upgrade_aquatic:restfulness_strong")
        text.add(2,'§9Scares Away Phantoms (Even More)')
    }
  })

//Golden Aura:
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "rediscovered:golden_aura")
        text.add(1,'§9Prevents Piglins From Zombifying')
    }
  })
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "rediscovered:long_golden_aura")
        text.add(1,'§9Prevents Piglins From Zombifying')
    }
  })
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "rediscovered:strong_golden_aura")
        text.add(1,'§9Prevents Piglins From Zombifying')
    }
  })

//Insomnia:
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "upgrade_aquatic:insomnia")
        text.add(1,'§9Beware Of Phantoms!')
    }
  })
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "upgrade_aquatic:insomnia_strong")
        text.add(1,'§9Beware Of Phantoms!')
    }
  })

//Clinging:
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "alexsmobs:clinging")
        text.add(1,'§9Cling To Ceiling (With Your Head)!')
    }
  })
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "alexsmobs:long_clinging")
        text.add(1,'§9Cling To Ceiling (With Your Head)!')
    }
  })

//Immunity:
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "goodending:immunity")
        text.add(1,'§9Withstand 3 Negative Effects')
    }
  })
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "goodending:long_immunity")
        text.add(1,'§9Withstand 3 Negative Effects')
    }
  })

//Soulsteal:
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "alexsmobs:soulsteal")
        text.add(1,'§9Gain Health Equal To Damage Dealt')
    }
  })
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "alexsmobs:long_soulsteal")
        text.add(1,'§9Gain Health Equal To Damage Dealt')
    }
  })
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "alexsmobs:strong_soulsteal")
        text.add(1,'§9Gain Health Equal To Damage Dealt')
    }
  })

//Astral:
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "galosphere:astral")
        text.add(1,'§9(Sleep)Walk Through Walls!')
    }
  })
  event.addAdvanced('minecraft:splash_potion',(item,advanced,text)=>{
    if(item.nbt != null){
        if(item.nbt.Potion == "galosphere:long_astral")
        text.add(1,'§9(Sleep)Walk Through Walls')
    }
  })

})